import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

import { InputSize, Currency, FormatAmount } from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T14G extends Component {

    name = '14G'
    desp = "Averaging Frequency and Method"

    pattern = "1!a/8!a"
    tno = -1
    keys = [1]
    onChange = (index, value) => {
        let obj = {};
        if (!value)
            value = ""
        let objtemp = this.props.value

        objtemp = objtemp && objtemp.length ? objtemp[0] : {}

        objtemp["s" + index] = value;

        this.keys.forEach(i => {
            obj['s' + i] = objtemp['s' + i]
        });
        let mval = `${obj.s1}/${obj.s2}`

        this.props.onValue([obj, mval])
    }


    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
        return (<Row>
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Frequency"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Select size={InputSize}
                        placeholder="Frequency"
                        style={{ width: "100%" }} value={value.s1} onChange={val => this.onChange(1, val)} >
                        <Option value="D">D</Option>
                        <Option value="M">M</Option>
                        <Option value="O">O</Option>
                        <Option value="W">W</Option>
                        <Option value="Y">Y</Option>
                    </Select>
                </FormItem>
            </Col>
            <Col style={{ "minWidth": '200px' }} span={3}>
                <FormItem
                    label="Method"
                    required={this.props.status == 'M' || mval ? 'required' : null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Select size={InputSize}
                        placeholder="Method"
                        style={{ width: "100%" }} value={value.s2} onChange={val => this.onChange(2, val)} >
                        <Option value="UNWEIGHT">UNWEIGHT</Option>
                        <Option value="WEIGHTED">WEIGHTED</Option>
                    </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}