import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T34C extends Component
{

    name='34C'
    desp = "Price"
    pattern = "4!c//4!c/[N]15d"
    tno = -1


    keys=[1,2,3,4]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        let temp = FormatAmount(obj.s3);
        let mval = ""
            mval = `${obj.s1}//${obj.s2}`
        if(obj.s4)
            mval =  mval +'/'+obj.s4

            mval = mval + `${temp}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}


        return (<Row>
             <Col style={{"minWidth":'200px'}} span={3}>
                <FormItem
                    label="Commission Type"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                           <Select  
                           
                           placeholder="Commission Type"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(1,val)} >
                                
                                   <Option  value="DISC">DISC</Option>
                                   <Option  value="PRCT">PRCT</Option>
                                   <Option  value="PREM">PREM</Option>
                                   <Option  value="YIEL">YIEL</Option>
                                   <Option  value="AKTI">AKTI</Option>
                                   <Option  value="ANTO">ANTO</Option>
                                   <Option  value="BAKL">BAKL</Option>
                                   <Option  value="CBCH">CBCH</Option>
                                   <Option  value="CHAR">CHAR</Option>
                                   <Option  value="COAX">COAX</Option>
                                   <Option  value="COUN">COUN</Option>
                                   <Option  value="CREB">CREB</Option>
                                   <Option  value="DEAL">DEAL</Option>
                                   <Option  value="DSCA">DSCA</Option>
                                   <Option  value="ENTF">ENTF</Option>
                                   <Option  value="EQUL">EQUL</Option>
                                   <Option  value="ERFE">ERFE</Option>
                                   <Option  value="EUTR">EUTR</Option>
                                   <Option  value="EXEC">EXEC</Option>
                                   <Option  value="HDGE">HDGE</Option>
                                   <Option  value="ISDI">ISDI</Option>
                                   <Option  value="LADT">LADT</Option>
                                   <Option  value="LEVY">LEVY</Option>
                                   <Option  value="LIDT">LIDT</Option>
                                   <Option  value="LOCL">LOCL</Option>
                                   <Option  value="LOCO">LOCO</Option>
                                   <Option  value="LOTE">LOTE</Option>
                                   <Option  value="LYDT">LYDT</Option>
                                   <Option  value="MACO">MACO</Option>
                                   <Option  value="MARG">MARG</Option>
                                   <Option  value="OCMT">OCMT</Option>
                                   <Option  value="OTHR">OTHR</Option>
                                   <Option  value="OTMG">OTMG</Option>
                                   <Option  value="PRDF">PRDF</Option>
                                   <Option  value="PRMA">PRMA</Option>
                                   <Option  value="PRWI">PRWI</Option>
                                   <Option  value="REFD">REFD</Option>
                                   <Option  value="REGF">REGF</Option>
                                   <Option  value="REMU">REMU</Option>
                                   <Option  value="RESU">RESU</Option>
                                   <Option  value="RSCH">RSCH</Option>
                                   <Option  value="SAMG">SAMG</Option>
                                   <Option  value="SETT">SETT</Option>
                                   <Option  value="SHIP">SHIP</Option>
                                   <Option  value="SPCN">SPCN</Option>
                                   <Option  value="STAM">STAM</Option>
                                   <Option  value="STEX">STEX</Option>
                                   <Option  value="SUBS">SUBS</Option>
                                   <Option  value="TOTL">TOTL</Option>
                                   <Option  value="TRAN">TRAN</Option>
                                   <Option  value="TRAX">TRAX</Option>
                                   <Option  value="VATA">VATA</Option>
                                   <Option  value="WITH">WITH</Option>
                                   <Option  value="ZWIS">ZWIS</Option>

                            </Select>
                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Currency"
                       required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s2?'error':null}
                >
                           <Select  
                           
                           placeholder="Currency"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s2} onChange={val=>this.onChange(2,val)} >
                                {
                                   Currency.map(cur=><Option key={cur} value={cur}>{cur}</Option>) 
                                }
                            </Select>
                </FormItem>
            </Col>
            <Col style={{"minWidth":'100px'}} span={3}>
                <FormItem
                    label="Sign" 
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s4}
                    validateStatus={errmsg.s4?'error':null}
                >
                                    <Select allowClear={true} value={value.s4} placeholder="Sign" style={{ width: "100%" }} onChange={val=>this.onChange(4,val)}>
                                        <Option  value={'+'}>{"+"}</Option>
                                        <Option  value={'-'}>{"-"}</Option>
                                    </Select>
                </FormItem>
            </Col>
            <Col  style={{"minWidth":'200px'}} span={3}>
                <FormItem
                 label="Price"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s3}
                    validateStatus={errmsg.s3?'error':null}
                >                       
                        <Input  value={value.s3} onChange={e=>this.onChange(3,e.target.value)}  maxLength={15} style={{imeMode:'disabled'}} placeholder="Price"/>
                </FormItem>
            </Col>
          
        </Row>)
    }
}